
Packaging - Refactor #20922

katello-change-hostname should use highline for user input

09/14/2017 04:49 AM - Evgeni Golov

Status: Closed   

Priority: Low   

Assignee: Evgeni Golov   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/1928

  

Description

highline:https://github.com/JEG2/highline is a nice library for doing user interaction in Ruby, and we require it already for hammer

anyways, so let's use it in k-c-h too.

Associated revisions

Revision 06396009 - 11/22/2017 12:14 PM - Evgeni Golov

Fixes #20922 - use highline for user promting

History

#1 - 09/14/2017 04:57 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello-packaging/pull/528 added

#2 - 09/20/2017 02:32 PM - Justin Sherrill

- translation missing: en.field_release set to 284

#3 - 10/12/2017 10:46 AM - Evgeni Golov

- Priority changed from Normal to Low

#4 - 11/07/2017 07:53 AM - Evgeni Golov

- Project changed from Katello to Packaging

- Category deleted (Tooling)

- Pull request https://github.com/theforeman/foreman-packaging/pull/1928 added

- Pull request deleted (https://github.com/Katello/katello-packaging/pull/528)

#5 - 11/22/2017 01:01 PM - Evgeni Golov

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset foreman-packaging|06396009d40d374a5224afe21edaebdb6d3584d0.

#6 - 08/20/2018 11:30 AM - Greg Sutcliffe

- Target version deleted (Katello 3.6.0)
